diff --git a/lib/app/modules/petugas_desa/views/riwayat_penitipan_view.dart b/lib/app/modules/petugas_desa/views/riwayat_penitipan_view.dart
index 44f1eea..09a28a2 100644
--- a/lib/app/modules/petugas_desa/views/riwayat_penitipan_view.dart
+++ b/lib/app/modules/petugas_desa/views/riwayat_penitipan_view.dart
@@ -4,6 +4,7 @@ import 'package:penyaluran_app/app/data/models/penitipan_bantuan_model.dart';
 import 'package:penyaluran_app/app/modules/petugas_desa/controllers/penitipan_bantuan_controller.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:penyaluran_app/app/theme/app_theme.dart';
+import 'package:penyaluran_app/app/widgets/widgets.dart';
 
 class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
   const RiwayatPenitipanView({super.key});
@@ -47,7 +48,7 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
         final kategoriNama = item.kategoriBantuan?.nama?.toLowerCase() ?? '';
         final deskripsi = item.deskripsi?.toLowerCase() ?? '';
         final tanggal =
-            DateTimeHelper.formatDateTime(item.tanggalPenitipan).toLowerCase();
+            FormatHelper.formatDateTime(item.tanggalPenitipan).toLowerCase();
 
         return donaturNama.contains(searchText) ||
             kategoriNama.contains(searchText) ||
@@ -99,7 +100,7 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                                   ),
                         ),
                         Text(
-                          '${DateTimeHelper.formatNumber(filteredList.length)} item',
+                          '${FormatHelper.formatNumber(filteredList.length)} item',
                           style:
                               Theme.of(context).textTheme.bodyMedium?.copyWith(
                                     color: Colors.grey,
@@ -113,7 +114,7 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                       mainAxisAlignment: MainAxisAlignment.spaceBetween,
                       children: [
                         Text(
-                          'Total: ${DateTimeHelper.formatNumber(filteredList.length)} item',
+                          'Total: ${FormatHelper.formatNumber(filteredList.length)} item',
                           style:
                               Theme.of(context).textTheme.bodyMedium?.copyWith(
                                     color: Colors.grey,
@@ -126,7 +127,7 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                                 size: 16, color: Colors.grey[600]),
                             const SizedBox(width: 4),
                             Text(
-                              'Update: ${DateTimeHelper.formatDateTimeWithHour(controller.lastUpdateTime.value)}',
+                              'Update: ${FormatHelper.formatDateTimeWithHour(controller.lastUpdateTime.value)}',
                               style: TextStyle(
                                 fontSize: 12,
                                 color: Colors.grey[600],
@@ -262,7 +263,7 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                     ],
                   ),
                   Text(
-                    DateTimeHelper.formatDate(item.createdAt),
+                    FormatHelper.formatDateTime(item.createdAt),
                     style: Theme.of(context).textTheme.bodySmall?.copyWith(
                           color: Colors.grey.shade700,
                           fontStyle: FontStyle.italic,
@@ -282,17 +283,26 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                   Row(
                     children: [
                       CircleAvatar(
-                        backgroundColor: AppTheme.primaryColor.withOpacity(0.1),
                         radius: 20,
-                        child: Text(
-                          donaturNama.isNotEmpty
-                              ? donaturNama.substring(0, 1).toUpperCase()
-                              : '?',
-                          style: TextStyle(
-                            color: AppTheme.primaryColor,
-                            fontWeight: FontWeight.bold,
-                          ),
-                        ),
+                        backgroundColor: statusColor.withOpacity(0.2),
+                        backgroundImage: item.donatur != null &&
+                                item.donatur!.fotoProfil != null &&
+                                item.donatur!.fotoProfil!.isNotEmpty
+                            ? NetworkImage(item.donatur!.fotoProfil!)
+                            : null,
+                        child: (item.donatur == null ||
+                                item.donatur!.fotoProfil == null ||
+                                item.donatur!.fotoProfil!.isEmpty)
+                            ? Text(
+                                donaturNama.isNotEmpty
+                                    ? donaturNama.substring(0, 1).toUpperCase()
+                                    : '?',
+                                style: TextStyle(
+                                  fontWeight: FontWeight.bold,
+                                  color: statusColor,
+                                ),
+                              )
+                            : null,
                       ),
                       const SizedBox(width: 12),
                       Expanded(
@@ -422,8 +432,8 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                               const SizedBox(height: 4),
                               Text(
                                 isUang
-                                    ? 'Rp ${DateTimeHelper.formatNumber(item.jumlah)}'
-                                    : '${DateTimeHelper.formatNumber(item.jumlah)} $kategoriSatuan',
+                                    ? 'Rp ${FormatHelper.formatNumber(item.jumlah)}'
+                                    : '${FormatHelper.formatNumber(item.jumlah)} $kategoriSatuan',
                                 style: Theme.of(context)
                                     .textTheme
                                     .titleSmall
@@ -579,20 +589,20 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
               _buildDetailItem(
                   'Jumlah',
                   isUang
-                      ? 'Rp ${DateTimeHelper.formatNumber(item.jumlah)}'
-                      : '${DateTimeHelper.formatNumber(item.jumlah)} $kategoriSatuan'),
+                      ? 'Rp ${FormatHelper.formatNumber(item.jumlah)}'
+                      : '${FormatHelper.formatNumber(item.jumlah)} $kategoriSatuan'),
               if (isUang) _buildDetailItem('Jenis Bantuan', 'Uang (Rupiah)'),
               _buildDetailItem(
                   'Deskripsi', item.deskripsi ?? 'Tidak ada deskripsi'),
               _buildDetailItem(
                 'Tanggal Penitipan',
-                DateTimeHelper.formatDateTime(item.tanggalPenitipan,
+                FormatHelper.formatDateTime(item.tanggalPenitipan,
                     defaultValue: 'Tidak ada tanggal'),
               ),
               if (item.tanggalVerifikasi != null)
                 _buildDetailItem(
                   'Tanggal Verifikasi',
-                  DateTimeHelper.formatDateTime(item.tanggalVerifikasi),
+                  FormatHelper.formatDateTime(item.tanggalVerifikasi),
                 ),
               if (item.status == 'TERVERIFIKASI' && item.petugasDesaId != null)
                 _buildDetailItem(
@@ -600,7 +610,7 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                   controller.getPetugasDesaNama(item.petugasDesaId),
                 ),
               _buildDetailItem('Tanggal Dibuat',
-                  DateTimeHelper.formatDateTime(item.createdAt)),
+                  FormatHelper.formatDateTime(item.createdAt)),
               if (item.alasanPenolakan != null &&
                   item.alasanPenolakan!.isNotEmpty)
                 _buildDetailItem('Alasan Penolakan', item.alasanPenolakan!),
@@ -626,8 +636,10 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                         itemBuilder: (context, index) {
                           return GestureDetector(
                             onTap: () {
-                              _showFullScreenImage(
-                                  context, item.fotoBantuan![index]);
+                              ShowImageDialog.show(
+                                context,
+                                item.fotoBantuan![index],
+                              );
                             },
                             child: Padding(
                               padding: const EdgeInsets.only(right: 8.0),
@@ -677,8 +689,10 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                         itemBuilder: (context, index) {
                           return GestureDetector(
                             onTap: () {
-                              _showFullScreenImage(
-                                  context, item.fotoBantuan![index]);
+                              ShowImageDialog.show(
+                                context,
+                                item.fotoBantuan![index],
+                              );
                             },
                             child: Padding(
                               padding: const EdgeInsets.only(right: 8.0),
@@ -721,8 +735,10 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
                     const SizedBox(height: 8),
                     GestureDetector(
                       onTap: () {
-                        _showFullScreenImage(
-                            context, item.fotoBuktiSerahTerima!);
+                        ShowImageDialog.show(
+                          context,
+                          item.fotoBuktiSerahTerima!,
+                        );
                       },
                       child: ClipRRect(
                         borderRadius: BorderRadius.circular(8),
@@ -757,58 +773,6 @@ class RiwayatPenitipanView extends GetView<PenitipanBantuanController> {
     );
   }
 
-  void _showFullScreenImage(BuildContext context, String imageUrl) {
-    Get.dialog(
-      Dialog(
-        insetPadding: EdgeInsets.zero,
-        child: Stack(
-          fit: StackFit.expand,
-          children: [
-            InteractiveViewer(
-              panEnabled: true,
-              minScale: 0.5,
-              maxScale: 4,
-              child: Image.network(
-                imageUrl,
-                fit: BoxFit.contain,
-                errorBuilder: (context, error, stackTrace) {
-                  return Container(
-                    color: Colors.grey.shade300,
-                    child: const Center(
-                      child: Icon(
-                        Icons.error,
-                        size: 50,
-                        color: Colors.red,
-                      ),
-                    ),
-                  );
-                },
-              ),
-            ),
-            Positioned(
-              top: 20,
-              right: 20,
-              child: GestureDetector(
-                onTap: () => Get.back(),
-                child: Container(
-                  padding: const EdgeInsets.all(8),
-                  decoration: BoxDecoration(
-                    color: Colors.black.withOpacity(0.5),
-                    shape: BoxShape.circle,
-                  ),
-                  child: const Icon(
-                    Icons.close,
-                    color: Colors.white,
-                  ),
-                ),
-              ),
-            ),
-          ],
-        ),
-      ),
-    );
-  }
-
   Widget _buildDetailItem(String label, String value) {
     return Padding(
       padding: const EdgeInsets.only(bottom: 8.0),
diff --git a/lib/app/modules/petugas_desa/views/riwayat_penyaluran_view.dart b/lib/app/modules/petugas_desa/views/riwayat_penyaluran_view.dart
index 4990e42..a9f5124 100644
--- a/lib/app/modules/petugas_desa/views/riwayat_penyaluran_view.dart
+++ b/lib/app/modules/petugas_desa/views/riwayat_penyaluran_view.dart
@@ -52,7 +52,7 @@ class RiwayatPenyaluranView extends GetView<JadwalPenyaluranController> {
             .getKategoriBantuanName(item.kategoriBantuanId)
             .toLowerCase();
         final tanggal =
-            DateTimeHelper.formatDateTime(item.tanggalPenyaluran).toLowerCase();
+            FormatHelper.formatDateTime(item.tanggalPenyaluran).toLowerCase();
 
         return nama.contains(searchText) ||
             deskripsi.contains(searchText) ||
@@ -105,7 +105,7 @@ class RiwayatPenyaluranView extends GetView<JadwalPenyaluranController> {
                                   ),
                         ),
                         Text(
-                          '${DateTimeHelper.formatNumber(filteredList.length)} item',
+                          '${FormatHelper.formatNumber(filteredList.length)} item',
                           style:
                               Theme.of(context).textTheme.bodyMedium?.copyWith(
                                     color: Colors.grey,
@@ -119,7 +119,7 @@ class RiwayatPenyaluranView extends GetView<JadwalPenyaluranController> {
                       mainAxisAlignment: MainAxisAlignment.spaceBetween,
                       children: [
                         Text(
-                          'Total: ${DateTimeHelper.formatNumber(filteredList.length)} item',
+                          'Total: ${FormatHelper.formatNumber(filteredList.length)} item',
                           style:
                               Theme.of(context).textTheme.bodyMedium?.copyWith(
                                     color: Colors.grey,
@@ -132,7 +132,7 @@ class RiwayatPenyaluranView extends GetView<JadwalPenyaluranController> {
                                 size: 16, color: Colors.grey[600]),
                             const SizedBox(width: 4),
                             Text(
-                              'Update: ${DateTimeHelper.formatDateTimeWithHour(DateTime.now())}',
+                              'Update: ${FormatHelper.formatDateTimeWithHour(DateTime.now())}',
                               style: TextStyle(
                                 fontSize: 12,
                                 color: Colors.grey[600],
@@ -305,7 +305,7 @@ class RiwayatPenyaluranView extends GetView<JadwalPenyaluranController> {
                     child: _buildInfoItem(
                       Icons.event,
                       'Tanggal',
-                      DateTimeHelper.formatDateTime(item.tanggalPenyaluran,
+                      FormatHelper.formatDateTime(item.tanggalPenyaluran,
                           format: 'dd MMM yyyy HH:mm'),
                       Theme.of(context).textTheme,
                     ),
@@ -316,17 +316,57 @@ class RiwayatPenyaluranView extends GetView<JadwalPenyaluranController> {
               _buildInfoItem(
                 Icons.people_outline,
                 'Jumlah Penerima',
-                '${DateTimeHelper.formatNumber(item.jumlahPenerima ?? 0)} orang',
+                '${FormatHelper.formatNumber(item.jumlahPenerima ?? 0)} orang',
                 Theme.of(context).textTheme,
               ),
               if (item.alasanPembatalan != null &&
                   item.alasanPembatalan!.isNotEmpty) ...[
-                const SizedBox(height: 8),
-                _buildInfoItem(
-                  Icons.info_outline,
-                  'Alasan Pembatalan',
-                  item.alasanPembatalan!,
-                  Theme.of(context).textTheme,
+                const SizedBox(height: 12),
+                Container(
+                  padding: const EdgeInsets.all(10),
+                  decoration: BoxDecoration(
+                    color: Colors.red.shade50,
+                    borderRadius: BorderRadius.circular(8),
+                    border: Border.all(color: Colors.red.shade200),
+                  ),
+                  child: Row(
+                    crossAxisAlignment: CrossAxisAlignment.start,
+                    children: [
+                      Icon(
+                        Icons.cancel_outlined,
+                        size: 20,
+                        color: Colors.red.shade700,
+                      ),
+                      const SizedBox(width: 8),
+                      Expanded(
+                        child: Column(
+                          crossAxisAlignment: CrossAxisAlignment.start,
+                          children: [
+                            Text(
+                              'Alasan Pembatalan',
+                              style: Theme.of(context)
+                                  .textTheme
+                                  .bodyMedium
+                                  ?.copyWith(
+                                    fontWeight: FontWeight.bold,
+                                    color: Colors.red.shade700,
+                                  ),
+                            ),
+                            const SizedBox(height: 4),
+                            Text(
+                              item.alasanPembatalan!,
+                              style: Theme.of(context)
+                                  .textTheme
+                                  .bodyMedium
+                                  ?.copyWith(
+                                    color: Colors.red.shade800,
+                                  ),
+                            ),
+                          ],
+                        ),
+                      ),
+                    ],
+                  ),
                 ),
               ],
               const SizedBox(height: 16),
diff --git a/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart b/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart
index fccd7a4..fed5b74 100644
--- a/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart
+++ b/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart
@@ -6,6 +6,7 @@ import 'package:penyaluran_app/app/modules/petugas_desa/controllers/riwayat_stok
 import 'package:penyaluran_app/app/theme/app_theme.dart';
 import 'package:penyaluran_app/app/utils/format_helper.dart';
 import 'package:cached_network_image/cached_network_image.dart';
+import 'package:penyaluran_app/app/widgets/widgets.dart';
 
 class RiwayatStokView extends GetView<RiwayatStokController> {
   const RiwayatStokView({super.key});
@@ -353,7 +354,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                                     overflow: TextOverflow.ellipsis,
                                   ),
                                 );
-                              }).toList(),
+                              }),
                             ],
                             onChanged: (value) {
                               if (value != null) {
@@ -543,7 +544,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                               const SizedBox(height: 4),
                               Text(
                                 riwayat.createdAt != null
-                                    ? DateTimeHelper.formatDateTime(
+                                    ? FormatHelper.formatDateTime(
                                         riwayat.createdAt!)
                                     : '-',
                                 style: TextStyle(
@@ -598,7 +599,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                         padding: const EdgeInsets.only(left: 44),
                         child: InkWell(
                           onTap: () =>
-                              _showImageDialog(context, riwayat.fotoBukti!),
+                              ShowImageDialog.show(context, riwayat.fotoBukti!),
                           child: Container(
                             decoration: BoxDecoration(
                               color: Colors.blue.withOpacity(0.1),
@@ -704,97 +705,6 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
     );
   }
 
-  void _showImageDialog(BuildContext context, String imageUrl) {
-    showDialog(
-      context: context,
-      builder: (BuildContext context) {
-        return Dialog(
-          insetPadding: const EdgeInsets.all(16),
-          shape: RoundedRectangleBorder(
-            borderRadius: BorderRadius.circular(16),
-          ),
-          child: Column(
-            mainAxisSize: MainAxisSize.min,
-            children: [
-              AppBar(
-                leading: IconButton(
-                  icon: const Icon(
-                    Icons.close,
-                    color: Colors.white,
-                  ),
-                  onPressed: () => Navigator.of(context).pop(),
-                ),
-                title: const Text(
-                  'Bukti Foto',
-                  style: TextStyle(
-                    color: Colors.white,
-                    fontWeight: FontWeight.bold,
-                  ),
-                ),
-                elevation: 0,
-                backgroundColor: AppTheme.primaryColor,
-                shape: const RoundedRectangleBorder(
-                  borderRadius: BorderRadius.only(
-                    topLeft: Radius.circular(16),
-                    topRight: Radius.circular(16),
-                  ),
-                ),
-              ),
-              SizedBox(
-                height: MediaQuery.of(context).size.height * 0.5,
-                child: InteractiveViewer(
-                  panEnabled: true,
-                  boundaryMargin: const EdgeInsets.all(16),
-                  minScale: 0.5,
-                  maxScale: 4,
-                  child: CachedNetworkImage(
-                    imageUrl: imageUrl,
-                    placeholder: (context, url) => const Center(
-                      child: CircularProgressIndicator(),
-                    ),
-                    errorWidget: (context, url, error) => Column(
-                      mainAxisAlignment: MainAxisAlignment.center,
-                      children: [
-                        const Icon(Icons.error, color: Colors.red, size: 48),
-                        const SizedBox(height: 16),
-                        Padding(
-                          padding: const EdgeInsets.all(16.0),
-                          child: Text(
-                            'Gagal memuat gambar: $error',
-                            textAlign: TextAlign.center,
-                            style: const TextStyle(color: Colors.red),
-                          ),
-                        ),
-                      ],
-                    ),
-                    fit: BoxFit.contain,
-                  ),
-                ),
-              ),
-              Padding(
-                padding: const EdgeInsets.all(16.0),
-                child: Row(
-                  mainAxisAlignment: MainAxisAlignment.center,
-                  children: [
-                    const Icon(Icons.zoom_in, size: 20, color: Colors.grey),
-                    const SizedBox(width: 8),
-                    Text(
-                      'Cubit untuk memperbesar/memperkecil',
-                      style: TextStyle(
-                        color: Colors.grey[600],
-                        fontSize: 14,
-                      ),
-                    ),
-                  ],
-                ),
-              ),
-            ],
-          ),
-        );
-      },
-    );
-  }
-
   void _showStokManualDialog(BuildContext context, {required bool isAddition}) {
     // Reset form
     controller.resetForm();
@@ -1152,7 +1062,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
   Widget _buildPenitipanDetail(
       BuildContext context, Map<String, dynamic> data) {
     final String tanggal = data['created_at'] != null
-        ? DateTimeHelper.formatDateTime(DateTime.parse(data['created_at']))
+        ? FormatHelper.formatDateTime(DateTime.parse(data['created_at']))
         : '-';
 
     final String namaPenitip = data['donatur'] != null
@@ -1357,7 +1267,8 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                           padding: EdgeInsets.only(
                               right: index < fotoBantuan.length - 1 ? 8.0 : 0),
                           child: InkWell(
-                            onTap: () => _showImageDialog(context, imageUrl),
+                            onTap: () =>
+                                ShowImageDialog.show(context, imageUrl),
                             child: Container(
                               width: 200,
                               decoration: BoxDecoration(
@@ -1442,7 +1353,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
   Widget _buildPenerimaanDetail(
       BuildContext context, Map<String, dynamic> data) {
     final String tanggal = data['created_at'] != null
-        ? DateTimeHelper.formatDateTime(DateTime.parse(data['created_at']))
+        ? FormatHelper.formatDateTime(DateTime.parse(data['created_at']))
         : '-';
 
     final String namaPenerima = data['warga'] != null
@@ -1646,7 +1557,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                   ),
                   const SizedBox(height: 12),
                   InkWell(
-                    onTap: () => _showImageDialog(context, buktiPenerimaan),
+                    onTap: () => ShowImageDialog.show(context, buktiPenerimaan),
                     child: Container(
                       height: 180,
                       width: double.infinity,
diff --git a/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart b/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart
index 1aeed6d..7232b3f 100644
--- a/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart
+++ b/lib/app/modules/petugas_desa/views/stok_bantuan_view.dart
@@ -156,7 +156,7 @@ class StokBantuanView extends GetView<StokBantuanController> {
                                   ),
                         ),
                         Text(
-                          'Rp ${DateTimeHelper.formatNumber(controller.totalDanaBantuan.value)}',
+                          'Rp ${FormatHelper.formatNumber(controller.totalDanaBantuan.value)}',
                           style:
                               Theme.of(context).textTheme.titleLarge?.copyWith(
                                     fontWeight: FontWeight.bold,
@@ -512,8 +512,8 @@ class StokBantuanView extends GetView<StokBantuanController> {
                                 ),
                                 Text(
                                   item.isUang == true
-                                      ? 'Rp ${DateTimeHelper.formatNumber(item.totalStok)}'
-                                      : '${DateTimeHelper.formatNumber(item.totalStok)} ${item.satuan ?? ''}',
+                                      ? 'Rp ${FormatHelper.formatNumber(item.totalStok)}'
+                                      : '${FormatHelper.formatNumber(item.totalStok)} ${item.satuan ?? ''}',
                                   style: Theme.of(context)
                                       .textTheme
                                       .titleLarge
@@ -549,7 +549,7 @@ class StokBantuanView extends GetView<StokBantuanController> {
                     Expanded(
                       child: Text(
                         item.updatedAt != null
-                            ? 'Diperbarui: ${DateTimeHelper.formatDateTimeWithHour(item.updatedAt!)}'
+                            ? 'Diperbarui: ${FormatHelper.formatDateTimeWithHour(item.updatedAt!)}'
                             : 'Tidak ada data pembaruan',
                         style: Theme.of(context).textTheme.bodySmall?.copyWith(
                               color: Colors.grey[600],
@@ -984,8 +984,8 @@ class StokBantuanView extends GetView<StokBantuanController> {
                           const SizedBox(width: 8),
                           Text(
                             isUang
-                                ? 'Rp ${DateTimeHelper.formatNumber(stok.totalStok)}'
-                                : '${DateTimeHelper.formatNumber(stok.totalStok)} ${stok.satuan ?? ''}',
+                                ? 'Rp ${FormatHelper.formatNumber(stok.totalStok)}'
+                                : '${FormatHelper.formatNumber(stok.totalStok)} ${stok.satuan ?? ''}',
                             style: TextStyle(fontWeight: FontWeight.bold),
                           ),
                         ],
@@ -1175,8 +1175,8 @@ class StokBantuanView extends GetView<StokBantuanController> {
                         SizedBox(width: 4),
                         Text(
                           stok.isUang == true
-                              ? 'Rp ${DateTimeHelper.formatNumber(stok.totalStok)}'
-                              : '${DateTimeHelper.formatNumber(stok.totalStok)} ${stok.satuan ?? ''}',
+                              ? 'Rp ${FormatHelper.formatNumber(stok.totalStok)}'
+                              : '${FormatHelper.formatNumber(stok.totalStok)} ${stok.satuan ?? ''}',
                           style: TextStyle(fontWeight: FontWeight.bold),
                         ),
                       ],
@@ -1240,7 +1240,7 @@ class StokBantuanView extends GetView<StokBantuanController> {
   Widget _buildLastUpdateInfo(BuildContext context) {
     return Obx(() {
       final lastUpdate = controller.lastUpdateTime.value;
-      final formattedDate = DateTimeHelper.formatDateTimeWithHour(lastUpdate);
+      final formattedDate = FormatHelper.formatDateTimeWithHour(lastUpdate);
 
       return Padding(
         padding: const EdgeInsets.only(top: 8.0),
